summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2016-01-17 10:38:16 (EST)
committer P. J. McDermott <pj@pehjota.net>2016-01-17 10:38:16 (EST)
commitd7436d9dfcd4007dad081124cde04ac8e1d30906 (patch)
tree052d4e9937b451ad76d9a8c5ae2de924a53b4104
parenta8e57bde8d2d9ba23a8c5fc7ddc6438c0142d33f (diff)
cmd/*: Check return value of profile_set()
-rw-r--r--src/cmd/install.sh4
-rw-r--r--src/cmd/installer-pc.sh4
2 files changed, 6 insertions, 2 deletions
diff --git a/src/cmd/install.sh b/src/cmd/install.sh
index 097250a..c96f014 100644
--- a/src/cmd/install.sh
+++ b/src/cmd/install.sh
@@ -50,7 +50,9 @@ cmd_install_main()
else
profile='proteanos'
fi
- profile_set "${profile}"
+ if ! profile_set "${profile}"; then
+ return 2
+ fi
suite="$(profile_normalize_suite "${suite}")"
if [ "x${cmd_install_opt_F+set}" = 'xset' ]; then
diff --git a/src/cmd/installer-pc.sh b/src/cmd/installer-pc.sh
index 0ecca4b..76112d2 100644
--- a/src/cmd/installer-pc.sh
+++ b/src/cmd/installer-pc.sh
@@ -60,7 +60,9 @@ cmd_installer_pc_main()
else
profile='proteanos'
fi
- profile_set "${profile}"
+ if ! profile_set "${profile}"; then
+ return 2
+ fi
suite="$(profile_normalize_suite "${suite}")"
cmd_installer_pc_make_partition_and_fs "${dev}"